Skip to main content
`Ctrl`+`K`

# TSTrajectorySetFiletemplate

Specify the name template for the files storing `TSTrajectory` checkpoints.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSTrajectorySetFiletemplate(TSTrajectory tj, const char filetemplate[])

Collective

## Input Parameters

- tj - the `TSTrajectory` context

- filetemplate - the template

## Options Database Key

- -ts_trajectory_file_template - set the file name template

## Notes

The name template should be of the form, for example filename-%06” PetscInt_FMT “.bin It should not begin with a leading /

The final location of the files is determined by dirname/filetemplate where dirname was provided by `TSTrajectorySetDirname()`. The %06” PetscInt_FMT “ is replaced by the timestep counter

## See Also

TS: Scalable ODE and DAE Solvers, `TSTrajectory`, `TSTrajectorySetDirname()`, `TSTrajectorySetUp()`

## Level

developer

## Location

src/ts/trajectory/interface/traj.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages